{% extends 'base.html.twig' %}

{% block title %}Tarifa Fijo Flotante{% endblock %}

 {% block contenidopage %}
     <div class="content-header">
         <div class="container-fluid">
             <div class="card">
                 <div class="card-header">
                     <div class="card-title">
                         <h3>Listado Fijo Flotante</h3>
                     </div>
                 </div>
                 <div class="row">
                     <div class="col-md-3">
                         <a href="{{ path('app_tarifa_fijo_flotante_new') }}">
                             <button type="button" class="btn btn-block bg-gradient-success"><i
                                         class="fa fa-user-plus"></i> Crear Nueva Tarifa
                             </button>
                         </a>
                     </div>

                     <div class="col-md-3 offset-md-6">
                         <form action="#">
                             <div class="input-group">
                                 <input type="search" class="form-control form-control-lg"
                                        placeholder="Buscar Tarifa" name="buscarproducto">
                                 <div class="input-group-append">
                                     <button type="submit" class="btn btn-lg btn-default">
                                         <i class="fa fa-search"></i>
                                     </button>
                                 </div>
                             </div>
                         </form>
                     </div>
                 </div>
                 &nbsp;
                 &nbsp;

                 <table class="table">
                     <thead>
                     <tr>
                         <th>Id</th>
                         <th>Fecha Inicial</th>
                         <th>Fecha Final</th>
                         <th>Tarifa</th>
                         <th>Acciones</th>
                     </tr>
                     </thead>
                     <tbody>
                     {% for tarifa_fijo_flotante in tarifa_fijo_flotantes %}
                         <tr>
                             <td>{{ tarifa_fijo_flotante.id }}</td>
                             <td>{{ tarifa_fijo_flotante.fechaIni }}</td>
                             <td>{{ tarifa_fijo_flotante.fechaFin }}</td>
                             <td>{{ tarifa_fijo_flotante.tarifa }}</td>
                             <td width="180">
                                 <div class="row">
                                     <div class="col-sm-4">
                                         <a href="{{ path('app_tarifa_fijo_flotante_show', {'id': tarifa_fijo_flotante.id}) }}">
                                             <button class="btn btn-block btn-info" data-toggle="tooltip"
                                                     title="ver"><i
                                                         class="fas fa-info"></i>
                                             </button>
                                         </a>
                                     </div>
                                     <div class="col-sm-4">

                                         <a href="{{ path('app_tarifa_fijo_flotante_edit', {'id': tarifa_fijo_flotante.id}) }}">
                                             <button class="btn btn-block btn-success" data-toggle="tooltip"
                                                     title="Editar"><i
                                                         class="fas fa-edit"></i>
                                             </button>
                                         </a>
                                     </div>
                                     <div class="col-sm-4">
                                         <form method="post"
                                               action="{{ path('app_tarifa_fijo_flotante_delete', {'id': tarifa_fijo_flotante.id}) }}"
                                               onsubmit="return confirm('Está segur@ que desea eliminar esta tarifa flotante?');">
                                             <input type="hidden" name="_method" value="DELETE">
                                             <input type="hidden" name="_token"
                                                    value="{{ csrf_token('delete' ~ producto.id) }}">
                                             <button class="btn btn-block btn-danger" data-toggle="tooltip"
                                                     title="Eliminar"><i
                                                         class="fas fa-trash"></i>
                                             </button>
                                         </form>
                                     </div>
                                 </div>
                             </td>

                         </tr>
                     {% else %}
                         <tr>
                             <td colspan="5">No hay tarifas fijas flotantes registradas</td>
                         </tr>
                     {% endfor %}
                     </tbody>
                 </table>

             </div>
         </div>
     </div>
 {% endblock %}
